Package: org.gradle.nativeplatform

## [Java] Interface NativeLibraryRequirement

- A dependency on a native library within the build.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getLibraryName()` The name of the required library.
    `String` | `getLinkage()` The required linkage.
    `String` | `getProjectPath()` The path to the project containing the library.

- - ### Method Detail

    - #### public String getLibraryName()

      The name of the required library.

    - #### public String getLinkage()

      The required linkage.

    - #### public String getProjectPath()

      The path to the project containing the library.